Package org.kapott.hbci.manager

# Class TanMethod

java.lang.Object
org.kapott.hbci.manager.TanMethod

public class TanMethod extends Object
Kapselt die Informationen zu einem TAN-Verfahren.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final TanMethod`
`ONESTEP`
Das Einschritt-Verfahren.

## Constructor Summary

Constructors
Constructor
Description
`TanMethod(String id, String name)`
ct.

## Method Summary

Modifier and Type
Method
Description
`String`
`getId()`
Liefert die dreistellige numerische ID.
`String`
`getName()`
Liefert die sprechende Bezeichnung.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### ONESTEP

public static final TanMethod ONESTEP
Das Einschritt-Verfahren.

## Constructor Details

### TanMethod

public TanMethod(String id, String name)
ct.

Parameters:
  `id` - ID des TAN-Verfahrens.
  `name` - Name des TAN-Verfahrens.

## Method Details

### getId

public String getId()
Liefert die dreistellige numerische ID.

Returns:
  id die dreistellige numerische ID.

### getName

public String getName()
Liefert die sprechende Bezeichnung.

Returns:
  name die sprechende Bezeichnung.

### toString

public String toString()

Overrides:
  `toString` in class `Object`
See Also:
  - `Object.toString()`